/*
 *	File:		Application.r.h
 *
 *	Contains:	xxx put contents here xxx
 *
 *	Written by:	Rick Violet
 *
 *	Copyright:	 1992 by Apple Computer, Inc., all rights reserved.
 *
 *	Change History (most recent first):
 *
 *		 <2>	 5/11/93	RV		Fixed resource ID conflict
 *				11/18/92	RV		xxx put comment here xxx
 *
 *	To Do:
 */

#ifndef __Application.R__
#define __Application.R__


/*
	These constants pertain to resource usage or definition.
	
	This file can be included by a Rez source file (.r) 
							  or a C/C++ (.c/.cp) source file.
							  
	Constants which occur in both Rez & C/C++ sources are put here to prevent 
	two definitions of a constant with differing values. This way there is
	one definition, and only one value. 
*/

#define kOwnerSignature			'VUTL'	/* Our application's creator type	*/

/*
	Application Partition size 
*/
#define kPrefSize				200		/* Prefered App memory partition size */
#define kMinSize				100		/* Minimum  App memory partition size */
		 
/*
	Menu ids & item indecies
*/
#define	kMenuBarID				128		/* application's menu bar */
#define	kAboutAlertID			128		/* about alert */

#define	kAppleMenuID			128		/* Apple menu */
#define	kAboutItem				1			/* About item */

#define	kFileMenuID				129		/* File menu */
#define	kQuitItem				1			/* Quit item */

#define	kUserAlertID			129		/* generic user error alert */

/*
	The following are indicies into our error STR# resource. 
*/
#define kAppErrStrings			128		/* STR# id for External Tool error messages */

#define	kWrongMachineErr		1		/* Can't run on this CPU message */
#define	kSmallSizeErr			2		/* Not enough memory message */
#define	kWrongSysSWVers			3		/* System Software too young */

#define kBeachBall_acur_ID		0		
#define kBeachBall_CURS_1		128		
#define kBeachBall_CURS_2		129		
#define kBeachBall_CURS_3		130	
#define kBeachBall_CURS_4		131	




#endif __Application.R__
